查询工作流运行列表
curl --request GET \
--url https://www.chenyu.cn/api/open/v2/workflow/run/list \
--header 'Authorization: Bearer <token>'{
"code": 123,
"msg": "<string>",
"data": {
"items": [
{
"run_order_id": "<string>",
"workflow_id": "<string>",
"revision_id": "<string>",
"title": "<string>",
"run_status": "<string>",
"quote_amount": "<string>",
"final_amount": "<string>",
"created_at": "<string>"
}
],
"total": 123,
"page": 123,
"page_size": 123
}
}运行管理
查询工作流运行列表
查询当前 API Key 所属用户的工作流运行记录
GET
/
api
/
open
/
v2
/
workflow
/
run
/
list
查询工作流运行列表
curl --request GET \
--url https://www.chenyu.cn/api/open/v2/workflow/run/list \
--header 'Authorization: Bearer <token>'{
"code": 123,
"msg": "<string>",
"data": {
"items": [
{
"run_order_id": "<string>",
"workflow_id": "<string>",
"revision_id": "<string>",
"title": "<string>",
"run_status": "<string>",
"quote_amount": "<string>",
"final_amount": "<string>",
"created_at": "<string>"
}
],
"total": 123,
"page": 123,
"page_size": 123
}
}查询工作流运行列表
查询当前 API Key 所属用户提交的工作流运行记录,支持按工作流和运行状态过滤。请求参数
工作流 ID
运行状态,如
queued、running、succeeded、failed页码,从
1 开始,默认 1每页数量,默认
20,最大 100响应参数
响应码,
0 表示成功响应信息
代码示例
import requests
url = "https://www.chenyu.cn/api/open/v2/workflow/run/list"
headers = {
"Authorization": "Bearer your_api_key",
"Content-Type": "application/json"
}
params = {
"workflow_id": "wf_861ef31e94dcfb10e6e7",
"page": 1,
"page_size": 20
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
响应示例
{
"code": 0,
"msg": "查询成功",
"data": {
"items": [
{
"run_order_id": "wfrun_314ff7d8b7a5beff1388",
"workflow_id": "wf_861ef31e94dcfb10e6e7",
"revision_id": "wfr_f9f2a2dcb99d73b0c3aa",
"title": "文生图111",
"run_status": "succeeded",
"quote_amount": "0.03000000",
"final_amount": "0.00028780",
"created_at": "2026-05-08T10:00:00Z"
}
],
"total": 1,
"page": 1,
"page_size": 20
}
}
⌘I